Informacje

Uwierzytelnianie wymagane
Format odpowiedzi json
Metoda HTTP GET

GET connections/:id/intents

Ostatnia modyfikacja 2026-05-22 13:38:44
Zwraca intencję wykrytą przez usługę analizy rozmowy.

URL

https://your-system-name.thulium.com/api/connections/:id/intents

Parametry

id

wymagany

Unikalne ID połączenia. Przykładowa wartość: 123423.23
language

opcjonalny

Język analizy. Przykładowa wartość: en

Przykładowy request

GET https://your-system-name.thulium.com/api/connections/123423.23/intents?language=en

Przykładowy response

{
    "intent": {
        "id": "cb2ffd36-680f-481b-a909-767dcfa4a47d",
        "intent": "Prośba o fakturę"
    }
}

Przykładowe wywołanie


PHP
<?php
$request = curl_init('https://your-system-name.thulium.com/api/connections/123423.23/intents?language=en');
curl_setopt($request, CURLOPT_HTTPHEADER, array('Content-Type: application/json; charset=utf-8'));
curl_setopt($request, CURLOPT_USERPWD, "api_user:api_pass");
curl_setopt($request, CURLOPT_TIMEOUT, 30);
curl_setopt($request, CURLOPT_RETURNTRANSFER, true);

$response = curl_exec($request);
if ($response) {
    $httpCode = curl_getinfo($request, CURLINFO_HTTP_CODE);
    if ($httpCode == 200){
        print_r(json_decode($response));
    } else {
        echo $response;
    }
} else {
    trigger_error(curl_error($request), E_USER_WARNING);
}

curl_close($request);
JAVA
public class Example {
    public static void main(String[] args) throws Exception {
        ThuliumRestClient restClient = new ThuliumRestClient("api_user", "api_pass", true);

        ThuliumRestClient.ThuliumRestResponse response = restClient.get("https://your-system-name.thulium.com/api/connections/123423.23/intents?language=en");
        System.out.println(response);
    }
}

CURL
curl -u api_user:api_pass -k -X GET -H "Accept: application/json" "https://your-system-name.thulium.com/api/connections/123423.23/intents?language=en"

HTTPie
http -a api_user:api_pass GET https://your-system-name.thulium.com/api/connections/123423.23/intents language==en Accept:application/json